<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ExamHallAssignment extends Model
{
    // app/Models/ExamHallAssignment.php
        protected $guarded = [];

        public function examSchedule()
        {
            return $this->belongsTo(ExamSchedule::class);
        }

        public function student()
        {
            return $this->belongsTo(Student::class);
        }

        public function examHall()
        {
            return $this->belongsTo(ExamHall::class);
        }

        public function exam()
        {
            return $this->belongsTo(Exam::class);
        }

        public function invigilator()
        {
            return $this->belongsTo(Staff_member::class, 'invigilator_id');
        }
}
